Overview | Modules | Class Hierarchy | Classes | Members

Functions
Types

## Functions

- bool tlp::stringToColor (std::string &str, Color &col)
- bool tlp::stringToSize (std::string &str, Size &siz)
- bool tlp::stringToCoord (std::string &str, Coord &coo)
- bool tlp::stringToLCoord (std::string &str, std::list< Coord > &lcoo)
- bool tlp::stringToNodeProperty (PropertyInterface *propertyName, node n, std::string &str)
- bool tlp::stringToEdgeProperty (PropertyInterface *propertyName, edge e, std::string &str)
- bool tlp::stringToAllNodeProperty (PropertyInterface *propertyName, std::string &str)
- bool tlp::stringToAllEdgeProperty (PropertyInterface *propertyName, std::string &str)
- std::string tlp::nodePropertyToString (PropertyInterface *propertyName, node n)
- std::string tlp::edgePropertyToString (PropertyInterface *propertyName, edge e)
- std::string tlp::propertyType (PropertyInterface *propertyName)
- std::string tlp::propertyNodeDefaultValue (PropertyInterface *propertyName)
- std::string tlp::propertyEdgeDefaultValue (PropertyInterface *propertyName)

## Function Documentation

std::string tlp::edgePropertyToString | ( | PropertyInterface * | propertyName,
|  | edge | e
| ) |  |

std::string tlp::nodePropertyToString | ( | PropertyInterface * | propertyName,
|  | node | n
| ) |  |

std::string tlp::propertyEdgeDefaultValue | ( | PropertyInterface * | propertyName | ) |

std::string tlp::propertyNodeDefaultValue | ( | PropertyInterface * | propertyName | ) |

std::string tlp::propertyType | ( | PropertyInterface * | propertyName | ) |

bool tlp::stringToAllEdgeProperty | ( | PropertyInterface * | propertyName,
|  | std::string & | str
| ) |  |

bool tlp::stringToAllNodeProperty | ( | PropertyInterface * | propertyName,
|  | std::string & | str
| ) |  |

bool tlp::stringToColor | ( | std::string & | str,
|  | Color & | col
| ) |  |

bool tlp::stringToCoord | ( | std::string & | str,
|  | Coord & | coo
| ) |  |

bool tlp::stringToEdgeProperty | ( | PropertyInterface * | propertyName,
|  | edge | e,
|  | std::string & | str
| ) |  |

bool tlp::stringToLCoord | ( | std::string & | str,
|  | std::list< Coord > & | lcoo
| ) |  |

bool tlp::stringToNodeProperty | ( | PropertyInterface * | propertyName,
|  | node | n,
|  | std::string & | str
| ) |  |

bool tlp::stringToSize | ( | std::string & | str,
|  | Size & | siz
| ) |  |

Tulip Software by LaBRI Visualization Team 2001 - 2012